summaryrefslogtreecommitdiffstats
path: root/source/t/transfig/transfig.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/t/transfig/transfig.SlackBuild')
-rwxr-xr-xsource/t/transfig/transfig.SlackBuild18
1 files changed, 10 insertions, 8 deletions
diff --git a/source/t/transfig/transfig.SlackBuild b/source/t/transfig/transfig.SlackBuild
index 051fb8a3b..f626635f9 100755
--- a/source/t/transfig/transfig.SlackBuild
+++ b/source/t/transfig/transfig.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,8 +22,8 @@
PKGNAM=transfig
-VERSION=${VERSION:-3.2.4}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-3.2.5e}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -56,21 +56,23 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}.$VERSION.tar.gz || exit 1
+tar xvf $CWD/${PKGNAM}.$VERSION.tar.xz || exit 1
cd ${PKGNAM}.$VERSION || exit 1
+find . -name "*.orig" -exec rm "{}" \;
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) -o \
+ \( -perm 700 -type d \) \
-exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) -o \
+ \( -perm 700 -type f \) \
-exec chmod 644 {} \;
zcat $CWD/transfig.diff.gz | sed -e "s#/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" \
| patch -p1 --verbose || exit 1
-zcat $CWD/transfig.3.2.4-gcc4.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/transfig.png14.nodither.diff.gz | patch -p1 --verbose || exit 1
xmkmf || exit 1
make Makefiles || exit 1